[zeromq-dev] Now can we use pyzmq with pypy on windows?

黄继聪 hjicong at gmail.com
Fri Sep 6 05:41:59 CEST 2013


HI everyone, there is some reason that  I must  use pypy and zmq on 
windows. 
There is no proble when I install Zmq using "easy_install pyzmq".
but when i import zmq or pypy -c "import zmq", there is a fatal error:
D:\soft\pypy_install\pypy-2.1\bin>pypy
Python 2.7.3 (480845e6b1dd, Jul 31 2013, 09:10:30)
[PyPy 2.1.0 with MSC v.1500 32 bit] on win32
Type "help", "copyright", "credits" or "license" for more information.
And now for something completely different: ``-FIRST they ignore you, then 
they
laugh at you, then they fight you, then you win.-''
>>>> import zmq
Fatal Python error: PyThreadState_Get: no current thread

This application has requested the Runtime to terminate it in an unusual 
way.
Please contact the application's support team for more information.

D:\soft\pypy_install\pypy-2.1\bin>pypy -c "import zmq"
Fatal Python error: PyThreadState_Get: no current thread

This application has requested the Runtime to terminate it in an unusual 
way.
Please contact the application's support team for more information.

I'm using the version of pypy-2.1-win32. can anyone face the same question?
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.zeromq.org/pipermail/zeromq-dev/attachments/20130905/0ba429d3/attachment.htm>


More information about the zeromq-dev mailing list